# -*- encoding: utf-8 -*-
# stub: leap_salesforce 1.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "leap_salesforce".freeze
  s.version = "1.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["IQA".freeze, "Samuel Garratt".freeze]
  s.bindir = "exe".freeze
  s.date = "2021-02-09"
  s.description = "This gem helps ones to perform integration tests on Salesforce.\nIt reads the Metadata from Salesforce and creates the foundation for API tests.".freeze
  s.email = ["samuel.garratt@integrationqa.com".freeze, "leap.salesforce@integrationqa.com".freeze]
  s.executables = ["leap_salesforce".freeze]
  s.files = ["exe/leap_salesforce".freeze]
  s.homepage = "https://gitlab.com/leap-dojo/leap_salesforce".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Helps with setting up integrated automated test frameworks against Salesforce.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<semaphore_test_boosters>.freeze, [">= 0"])
    s.add_development_dependency(%q<topoisomerase>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard-doctest>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<activerecord>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<colorize>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<factory_bot>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<faker>.freeze, [">= 2.0"])
    s.add_runtime_dependency(%q<humanize>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<launchy>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rake>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<require_all>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<soaspec>.freeze, [">= 0.3.10"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<semaphore_test_boosters>.freeze, [">= 0"])
    s.add_dependency(%q<topoisomerase>.freeze, [">= 0"])
    s.add_dependency(%q<yard-doctest>.freeze, [">= 0"])
    s.add_dependency(%q<activerecord>.freeze, [">= 0"])
    s.add_dependency(%q<colorize>.freeze, [">= 0"])
    s.add_dependency(%q<factory_bot>.freeze, [">= 0"])
    s.add_dependency(%q<faker>.freeze, [">= 2.0"])
    s.add_dependency(%q<humanize>.freeze, [">= 0"])
    s.add_dependency(%q<launchy>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<require_all>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<soaspec>.freeze, [">= 0.3.10"])
    s.add_dependency(%q<thor>.freeze, [">= 0"])
  end
end
